Index: uspace/lib/c/Makefile
===================================================================
--- uspace/lib/c/Makefile	(revision 764d71e80b7c72cc3d48b7d5d789623dd67c6961)
+++ uspace/lib/c/Makefile	(revision 79ae36ddc409577eb0da3750b3a7280e034566a2)
@@ -68,5 +68,7 @@
 	generic/clipboard.c \
 	generic/devmap.c \
+	generic/devmap_obsolete.c \
 	generic/devman.c \
+	generic/devman_obsolete.c \
 	generic/device/hw_res.c \
 	generic/device/char_dev.c \
@@ -96,10 +98,11 @@
 	generic/io/console.c \
 	generic/io/screenbuffer.c \
-	generic/ipc/ns.c \
 	generic/malloc.c \
 	generic/sysinfo.c \
 	generic/ipc.c \
+	generic/ns.c \
+	generic/ns_obsolete.c \
 	generic/async.c \
-	generic/async_sess.c \
+	generic/async_obsolete.c \
 	generic/loader.c \
 	generic/getopt.c \
@@ -129,5 +132,5 @@
 	generic/assert.c
 
-ifeq ($(CONFIG_RTLD), y)
+ifeq ($(CONFIG_RTLD),y)
 	GENERIC_SOURCES += \
 		generic/dlfcn.c \
Index: uspace/lib/c/generic/adt/measured_strings.c
===================================================================
--- uspace/lib/c/generic/adt/measured_strings.c	(revision 764d71e80b7c72cc3d48b7d5d789623dd67c6961)
+++ uspace/lib/c/generic/adt/measured_strings.c	(revision 79ae36ddc409577eb0da3750b3a7280e034566a2)
@@ -42,4 +42,5 @@
 #include <errno.h>
 #include <async.h>
+#include <async_obsolete.h>
 
 /** Creates a new measured string bundled with a copy of the given string
@@ -326,5 +327,5 @@
 		return ENOMEM;
 
-	rc = async_data_read_start(phone, lengths,
+	rc = async_obsolete_data_read_start(phone, lengths,
 	    sizeof(size_t) * (count + 1));
 	if (rc != EOK) {
@@ -351,5 +352,5 @@
 		(*strings)[index].length = lengths[index];
 		if (lengths[index] > 0) {
-			rc = async_data_read_start(phone, next, lengths[index]);
+			rc = async_obsolete_data_read_start(phone, next, lengths[index]);
 			if (rc != EOK) {
 			    	free(lengths);
@@ -399,5 +400,5 @@
 		return ENOMEM;
 
-	rc = async_data_write_start(phone, lengths,
+	rc = async_obsolete_data_write_start(phone, lengths,
 	    sizeof(size_t) * (count + 1));
 	if (rc != EOK) {
@@ -410,5 +411,5 @@
 	for (index = 0; index < count; index++) {
 		if (strings[index].length > 0) {
-			rc = async_data_write_start(phone, strings[index].value,
+			rc = async_obsolete_data_write_start(phone, strings[index].value,
 			    strings[index].length);
 			if (rc != EOK)
